summaryrefslogtreecommitdiffstats
path: root/network/badwolf
diff options
context:
space:
mode:
Diffstat (limited to 'network/badwolf')
-rw-r--r--network/badwolf/README17
-rw-r--r--network/badwolf/badwolf.SlackBuild102
-rw-r--r--network/badwolf/badwolf.info10
-rw-r--r--network/badwolf/doinst.sh10
-rw-r--r--network/badwolf/slack-desc19
5 files changed, 158 insertions, 0 deletions
diff --git a/network/badwolf/README b/network/badwolf/README
new file mode 100644
index 0000000000..b69a755b63
--- /dev/null
+++ b/network/badwolf/README
@@ -0,0 +1,17 @@
+badwolf is a minimalist browser that cares about privacy, it is based on
+WebKitGTK and thus also accepts WebKitGTK (and dependencies) flags and
+environment variables.
+
+Runtime configuration specific to badwolf will probably get added at a
+later release.
+
+Features include:
+* No browser-level tracking, multiple ephemeral isolated sessions per
+ new unrelated tabs, JavaScript off by default.
+* Small codebase (~1500 LoC), reuses existing components when available
+ or makes it available.
+* WebKitGTK native extensions, Interface customizable through CSS.
+* Stable User-Interface; The common shortcuts are available (and
+ documented), no vi-modal edition or single-key shortcuts are used.
+* Dialogs are only used when required, javascript popups open in a
+ background tab.
diff --git a/network/badwolf/badwolf.SlackBuild b/network/badwolf/badwolf.SlackBuild
new file mode 100644
index 0000000000..2b4f850571
--- /dev/null
+++ b/network/badwolf/badwolf.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/bash
+
+# Slackware build script for badwolf
+
+# Copyright 2023 Bloyburt
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=badwolf
+VERSION=${VERSION:-1.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+PREFIX=usr \
+BINDIR=${PREFIX}/bin \
+MANDIR=${PREFIX}/man \
+DOCDIR=${PREFIX}/doc/badwolf-${VERSION} \
+DATADIR=${PREFIX}/share/badwolf \
+APPSDIR=${PREFIX}/share/applications \
+./configure
+
+ninja
+DESTDIR=$PKG ninja install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Docs are already installed by the build system
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/badwolf/badwolf.info b/network/badwolf/badwolf.info
new file mode 100644
index 0000000000..1c5e3bb1d3
--- /dev/null
+++ b/network/badwolf/badwolf.info
@@ -0,0 +1,10 @@
+PRGNAM="badwolf"
+VERSION="1.3.0"
+HOMEPAGE="https://hacktivis.me/projects/badwolf"
+DOWNLOAD="https://hacktivis.me/releases/badwolf-1.3.0.tar.gz"
+MD5SUM="9d222680f8dc274c77f530d8581c2d52"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="webkit2gtk"
+MAINTAINER="Bloyburt"
+EMAIL="alexpen@startmail.com"
diff --git a/network/badwolf/doinst.sh b/network/badwolf/doinst.sh
new file mode 100644
index 0000000000..a993650058
--- /dev/null
+++ b/network/badwolf/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+# If other icon themes are installed, then add to/modify this as needed
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/badwolf/slack-desc b/network/badwolf/slack-desc
new file mode 100644
index 0000000000..07e5898534
--- /dev/null
+++ b/network/badwolf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+badwolf: badwolf (Minimalist and privacy-oriented webkit browser)
+badwolf:
+badwolf: badwolf is a minimalist browser that cares about privacy, it is based
+badwolf: on WebKitGTK and thus also accepts WebKitGTK (and dependencies) flags
+badwolf: and environment variables.
+badwolf:
+badwolf: Homepage: https://hacktivis.me/projects/badwolf
+badwolf:
+badwolf:
+badwolf:
+badwolf: